Home | About | Sematext search-lucene.com search-hadoop.com
 Search Hadoop and all its subprojects:

Switch to Plain View
Pig >> mail # user >> Pig cannot resolve BamUDFLoader


Copy link to this message
-
Pig cannot resolve BamUDFLoader
Hi Everyone,

I have absolutely no experience with Pig and limited experience with hadoop, so please bear with me. We built a small hadoop cluster for experimental purposes and installed pig with all listed dependencies. I made sure that all of the jars are in CLASSPATH and env variables are defined as docuemtned, but still getting the following error:

2013-04-22 16:50:08,770 [main] ERROR org.apache.pig.tools.grunt.Grunt - ERROR 1070: Could not resolve BamUDFLoader using imports: [, org.apache.pig.builtin., org.apache.pig.impl.builtin.]

And this is the command we are running:

pig -param inputfile=./bowtie_sorted.bam -param outputfile=hadoop_bam.pileup -param pparallel=1 ${SEQPIG_HOME}/scripts/pileup.pig

My google search for this error or "BamUDFLoader" alone did not return anything useful. Which jar is supposed to provide this function? Any suggestions will be appreciated.

Thanks a lot in advance!
-Mehmet

+
j.barrett Strausser 2013-04-22, 21:20
+
Mehmet Belgin 2013-04-22, 21:54
+
j.barrett Strausser 2013-04-22, 22:09
+
KALLURI, RAJESH K 2013-04-22, 21:18